UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMESourceEventRegistrationSuccessInfo Class Reference

UME Source Event Registration Success Info class. More...

## Public Member Functions
| UMESourceEventRegistrationSuccessInfo ()
| Creates a UMESourceEventRegistrationSuccessInfo object and initializes all fields to 0/null.
| UMESourceEventRegistrationSuccessInfo (int flags, uint registrationId, uint sequenceNumber, ushort storeIndex, string store)
| Creates a UMESourceEventRegistrationSuccessInfo object and initializes fields to the given values. More...
int | flags ()
| Returns store registration type flags. More...
uint | registrationId ()
| Returns the source's registration ID. More...
uint | sequenceNumber ()
| Returns the source's starting sequence number. More...
ushort | storeIndex ()
| Returns the index of the store this source successfully registered to. More...
string | store ()
| Returns the name (IP address) of the store registered with. More...

## Detailed Description

UME Source Event Registration Success Info class.

Retrieved with the LBMSourceEvent.registrationSuccessInfo() method. Contains extended registration success info.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMESourceEventRegistrationSuccessInfo.UMESourceEventRegistrationSuccessInfo | ( | int | flags,
|  | uint | registrationId,
|  | uint | sequenceNumber,
|  | ushort | storeIndex,
|  | string | store
| ) |  |

Creates a UMESourceEventRegistrationSuccessInfo object and initializes fields to the given values.

Parameters

  flags | Informational flags concerning the type of store registration.
  registrationId | The source's registration ID with this store (must be >= 0).
  sequenceNumber | Starting sequence number.
  storeIndex | Index of the store (must be >= 0).
  store | Name of the store.

Exceptions

  com.latencybusters.lbm.LBMEInvalException | UME source registration ID was < 0.
  com.latencybusters.lbm.LBMEInvalException | UME sequence number was < 0.
  com.latencybusters.lbm.LBMEInvalException | UME store index was < 0.

## Member Function Documentation

int com.latencybusters.lbm.UMESourceEventRegistrationSuccessInfo.flags | ( |  | ) |

Returns store registration type flags.

Returns
  Informational flags about the source's registration.

uint com.latencybusters.lbm.UMESourceEventRegistrationSuccessInfo.registrationId | ( |  | ) |

Returns the source's registration ID.

Returns
  Source's registration ID with this store.

uint com.latencybusters.lbm.UMESourceEventRegistrationSuccessInfo.sequenceNumber | ( |  | ) |

Returns the source's starting sequence number.

Returns
  Source's starting sequence number.

string com.latencybusters.lbm.UMESourceEventRegistrationSuccessInfo.store | ( |  | ) |

Returns the name (IP address) of the store registered with.

Returns
  Name of the store.

References com.latencybusters.lbm.LBM.UME_MAX_STORE_STRLEN.

ushort com.latencybusters.lbm.UMESourceEventRegistrationSuccessInfo.storeIndex | ( |  | ) |

Returns the index of the store this source successfully registered to.

Returns
  Index of the store.

The documentation for this class was generated from the following file:

- UMESourceEventRegistrationSuccessInfo.cs